From e7d30cb4a1bdcefa86c2c6dfbc5ca4cb97cdd127 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 19 2020 22:22:17 +0000
Subject: [PATCH 1454/2232] Merge pull request #489 from dtolnay/rustfmt


No longer need rustfmt::skip when using extern type alias
---

diff --git a/tests/ffi/extra.rs b/tests/ffi/extra.rs
index 8ca5e57..51d21cc 100644
--- a/tests/ffi/extra.rs
+++ b/tests/ffi/extra.rs
@@ -5,9 +5,6 @@
 // for testing aliasing between cxx::bridge mods, so we'll keep it that way and
 // start a new mod here.
 
-// Rustfmt mangles the extern type alias.
-// https://github.com/rust-lang/rustfmt/issues/4159
-#[rustfmt::skip]
 #[cxx::bridge(namespace = "tests")]
 pub mod ffi2 {
     impl UniquePtr<D> {}
@@ -43,7 +40,7 @@ pub mod ffi2 {
         fn c_return_trivial_ns_ptr() -> UniquePtr<G>;
         fn c_return_trivial_ns() -> G;
         fn c_return_opaque_ptr() -> UniquePtr<E>;
-        fn c_return_ns_opaque_ptr() -> UniquePtr<F>;  
+        fn c_return_ns_opaque_ptr() -> UniquePtr<F>;
         fn c_return_ns_unique_ptr() -> UniquePtr<H>;
         fn c_take_ref_ns_c(h: &H);
 
diff --git a/tests/ffi/module.rs b/tests/ffi/module.rs
index aff1b1c..1952885 100644
--- a/tests/ffi/module.rs
+++ b/tests/ffi/module.rs
@@ -1,6 +1,3 @@
-// Rustfmt mangles the extern type alias.
-// https://github.com/rust-lang/rustfmt/issues/4159
-#[rustfmt::skip]
 #[cxx::bridge(namespace = "tests")]
 pub mod ffi {
     unsafe extern "C++" {

